summaryrefslogtreecommitdiff
path: root/src
diff options
context:
space:
mode:
authorEric Anholt <eric@anholt.net>2019-01-08 10:16:51 -0800
committerEric Anholt <eric@anholt.net>2019-01-14 13:18:02 -0800
commit6c8edcb89c1264c43f5e98444551edb8df2f91f9 (patch)
treef7620b15b70e5a3401efcaa24653b9f6a642743c /src
parent1a63227ea00752167f13719f1091c57b8539bcde (diff)
v3d: Drop the GLSL version level.
This was an arbitrary "we support lots of stuff" value when I started the driver. However, at 400 we expose OES_gpu_shader5, which claims support for dynamically indexing samplers, which the driver doesn't do yet.
Diffstat (limited to 'src')
-rw-r--r--src/gallium/drivers/v3d/v3d_screen.c2
1 files changed, 1 insertions, 1 deletions
diff --git a/src/gallium/drivers/v3d/v3d_screen.c b/src/gallium/drivers/v3d/v3d_screen.c
index a1ff75435f0..5d949514d09 100644
--- a/src/gallium/drivers/v3d/v3d_screen.c
+++ b/src/gallium/drivers/v3d/v3d_screen.c
@@ -149,7 +149,7 @@ v3d_screen_get_param(struct pipe_screen *pscreen, enum pipe_cap param)
return 4;
case PIPE_CAP_GLSL_FEATURE_LEVEL:
- return 400;
+ return 330;
case PIPE_CAP_GLSL_FEATURE_LEVEL_COMPATIBILITY:
return 140;